openSUSE Security Update: Security update for hivex
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1761-1
Rating:             moderate
References:         #1185013 
Cross-References:   CVE-2021-3504
CVSS scores:
                    CVE-2021-3504 (NVD) : 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L
                    CVE-2021-3504 (SUSE): 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for hivex fixes the following issues:

   - CVE-2021-3504: hivex: missing bounds check within hivex_open()
     (bsc#1185013)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-1761=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      hivex-1.3.14-5.3.1
      hivex-debuginfo-1.3.14-5.3.1
      hivex-debugsource-1.3.14-5.3.1
      hivex-devel-1.3.14-5.3.1
      libhivex0-1.3.14-5.3.1
      libhivex0-debuginfo-1.3.14-5.3.1
      ocaml-hivex-1.3.14-5.3.1
      ocaml-hivex-debuginfo-1.3.14-5.3.1
      ocaml-hivex-devel-1.3.14-5.3.1
      perl-Win-Hivex-1.3.14-5.3.1
      perl-Win-Hivex-debuginfo-1.3.14-5.3.1
      python-hivex-1.3.14-5.3.1
      python-hivex-debuginfo-1.3.14-5.3.1

   - openSUSE Leap 15.3 (noarch):

      hivex-lang-1.3.14-5.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-3504.html
   https://bugzilla.suse.com/1185013